{
	"format_version": "1.10.0",
	"animation_controllers": {
    	"controller.animation.pet":{
			"initial_state": "idle",
			"states":{
				"idle":{
					"animations":[ "idle" ],
					"transitions":[
                        {"look": "q.is_laying_down"},
                        {"special": "q.mark_variant == 1"},
                        { "walk": "query.modified_move_speed > 0.01"}
					],
					"blend_transition": 0.2
				},
				"walk":{
					"animations":[ "walk" ],
					"transitions":[
                        {"special": "q.mark_variant == 1"},
                        {"look": "q.is_laying_down"},
						{ "idle": "query.modified_move_speed <= 0.01"}
					],
					"blend_transition": 0.2
				},
                "special": {
                    "transitions": [
                        {"idle": "!q.is_delayed_attacking"},
                        {"walk": "!q.is_delayed_attacking"}
                    ],
                    "animations": ["special"],
                    "blend_transition": 0.2
                },
                "look":{
                    "animations": ["idle2"],
                    "transitions": [
                        {"idle": "!q.is_laying_down"},
                        {"walk": "!q.is_laying_down"}
                    ],
                    "blend_transition": 0.2
                }
			}
		}
  	}
}